import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.util.Random;

public class Tests {
    int testNo = 1;

    PrintWriter comment;

    public void printTest(int n, int limit) {
        PrintWriter out = null;
        try {
            out = new PrintWriter("tests/" + testNo / 10 + testNo % 10);
        } catch (FileNotFoundException e) {
            e.printStackTrace();
            return;
        }

        out.println(n + " " + limit);

        out.close();

        comment.println("                    <test points = \"0\" comment = \"n = " + n + ", максимум " + limit + " догадок\" />");
        testNo++;
    }

    public void run() throws FileNotFoundException {
        comment = new PrintWriter("comments");

        for (int i = 1; i <= 10; i++) {
            if (i != 5) {
                printTest(i, i);
            }
        }
        for (int i = 20; i <= 100; i += 10) {
            printTest(i, i);
        }

        printTest(200, 30);
        printTest(1000, 30);
        printTest(10000, 30);
        printTest(100000, 30);
        printTest(1000000, 30);
        printTest(1000000000, 30);
        printTest(999999999, 30);
        printTest(872382822, 30);
        printTest(282888281, 30);
        printTest(665675658, 30);

        comment.close();
    }


    public static void main(String[] args) throws FileNotFoundException {
        new Tests().run();
    }
}
